Skip to content
Hockay API
Esc
↑↓navigate↵open⌘Jpreview

Players, by name

GET/players
Authorization
x-api-keyAPI key · headerrequired
Query parameters
teamstring

Team id

positionstring

LW, C, RW, D, or G

qstring

Part of a name

limitinteger

Page size, up to 100.

cursorstring

The next_cursor of the previous page.

Responses
200

OK

dataPlayerSummary[]required
Show properties
Array of PlayerSummary
idstringrequired
namestringrequired
positionstringrequired
Allowed:LWCRWDG
pronounsstring | nullrequired
Show properties
Any of:
string
string
null
null
teamIdstring | nullrequired

Null for a free agent

lineAssignmentstring | nullrequired
Show properties
Any of:
string
string
null
null
starRatingnumberrequired
retiredbooleanrequired
next_cursorstring | null
304

Not modified (If-None-Match matched the ETag)

401

Missing, unknown, revoked, or expired key

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
403

This account cannot use this key class

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
429

Rate limited; retry after the Retry-After seconds

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://hockay.com/api/v1/players' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "position": "LW",
      "pronouns": "he/him",
      "teamId": "string",
      "lineAssignment": "F1",
      "starRating": 0,
      "retired": true
    }
  ],
  "next_cursor": "string"
}

Was this page helpful?